package com.objis.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.objis.domaine.User;
import com.objis.service.IUserManager;
import com.objis.service.UserManagerImpl;

public class LoginAction extends Action {

	// Injection par setter du service
	private IUserManager userManager ;

	public void setUserManager(UserManagerImpl userManager) {
		this.userManager = userManager;
	}

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		// recuperer le logon et le password du formulaire
		String userName = request.getParameter("login");
		String password = request.getParameter("password");

		// Traitement
		User user = userManager.getUser(userName, password);
		if (user != null) {
			return mapping.findForward("success");
		} else {
			return mapping.findForward("failure");
		}
	}
}
